Package org.apache.cxf.interceptor

## Class LoggingOutInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractLoggingInterceptor
    - - org.apache.cxf.interceptor.LoggingOutInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      @Deprecated
      public class LoggingOutInterceptor
      extends AbstractLoggingInterceptor

  Deprecated.
  use the logging module rt/features/logging instead

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `BINARY_CONTENT_MESSAGE, DEFAULT_LIMIT, limit, MULTIPART_CONTENT_MESSAGE, prettyLogging, threshold, writer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingOutInterceptor()` | Deprecated.
    `LoggingOutInterceptor​(int lim)` | Deprecated.
    `LoggingOutInterceptor​(PrintWriter w)` | Deprecated.
    `LoggingOutInterceptor​(String phase)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `formatLoggingMessage​(LoggingMessage buffer)` | Deprecated.
    `protected Logger` | `getLogger()` | Deprecated.
    `void` | `handleMessage​(Message message)` | Deprecated. Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `getBinaryContentMediaTypes, getInMemThreshold, getLimit, getPrintWriter, isBinaryContent, isLoggingDisabledNow, isMultipartContent, isPrettyLogging, isShowBinaryContent, isShowMultipartContent, log, setBinaryContentMediaTypes, setInMemThreshold, setLimit, setOutputLocation, setPrettyLogging, setPrintWriter, setShowBinaryContent, setShowMultipartContent, transform, writePayload, writePayload, writePrettyPayload`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingOutInterceptor

          public LoggingOutInterceptor​(String phase)

      Deprecated.

    - #### LoggingOutInterceptor

          public LoggingOutInterceptor()

      Deprecated.

    - #### LoggingOutInterceptor

          public LoggingOutInterceptor​(int lim)

      Deprecated.

    - #### LoggingOutInterceptor

          public LoggingOutInterceptor​(PrintWriter w)

      Deprecated.

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Deprecated.
      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### formatLoggingMessage

          protected String formatLoggingMessage​(LoggingMessage buffer)

      Deprecated.

    - #### getLogger

          protected Logger getLogger()

      Deprecated.
      Specified by:
        `getLogger` in class `AbstractLoggingInterceptor`